/*
 * @Author: PoJun
 * @Date: 2023-08-18 14:01:44
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-17 15:28:48
 * @Message: 组件注册, 但是由于大部分是动态的, 所以只注册静态组件
 */
// 视图组件
const view = {
    tabs: () => import("@/layouts/tabs"),
    blank: () => import("@/layouts/BlankView"),
};

// 路由组件注册
const routerMap = {
    login: {
        authority: "*",
        path: "/login",
        name: "登录",
        component: () => import("@/pages/login"),
    },
    exp403: {
        name: "exp403",
        path: "403",
        component: () => import("@/pages/exception/403"),
    },
    exp404: {
        name: "exp404",
        path: "404",
        component: () => import("@/pages/exception/404"),
    },
    exp500: {
        name: "exp500",
        path: "500",
        component: () => import("@/pages/exception/500"),
    },
    root: {
        path: "/",
        component: view.tabs,
        redirect: "/login",
    },
    home: {
        name: "首页",
        path: "/home",
        component: () => import("@/pages/home/home"),
    },
    account: {
        name: "个人设置",
        path: "/account",
        component: () => import("@/pages/account"),
    },
    perSetting: {
        name: "权限设置",
        component: view.blank,
    },
    perSetting_role: {
        name: "角色管理",
        component: () => import("@/pages/perSetting/Role"),
    },
    perSetting_menu: {
        name: "菜单管理",
        component: () => import("@/pages/perSetting/Menu"),
    },
    perSetting_user: {
        name: "用户管理",
        component: () => import("@/pages/perSetting/User"),
    },
    sysSetting: {
        name: "系统配置",
        component: view.blank,
    },
    sysSetting_info: {
        name: "系统信息",
        component: () => import("@/pages/sysSetting/Info"),
    },
    sysSetting_dict: {
        name: "数据字典",
        component: () => import("@/pages/sysSetting/Dict"),
    },
    sysSetting_dictData: {
        name: "字典详情",
        component: () => import("@/pages/sysSetting/DictData"),
    },
    sysSetting_env: {
        name: "环境配置",
        component: () => import("@/pages/sysSetting/Env"),
    },
    orgManage: {
        name: "组织管理",
        component: view.blank,
    },
    orgManage_personnel: {
        name: "人员管理",
        component: () => import("@/pages/orgManage/personnel"),
    },
    orgManage_org: {
        name: "组织架构",
        component: () => import("@/pages/orgManage/org"),
    },
    orgManage_post: {
        name: "岗位管理",
        component: () => import("@/pages/orgManage/post"),
    },
    test: {
        component: view.blank,
    },
    empty: {
        component: () => import("@/pages/home/empty"),
    },
};
export default routerMap;
